Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.metadata
Interface IClassInfo

All Superinterfaces:
  ILocalizableInfo

All Known Implementing Classes:
  ClassInfo, ClassInfo

    public interface IClassInfo

extends ILocalizableInfo

Represents the script object definition. This definition defines one constructor, several members and methods. It also includes the name, display name ID, and tool tip ID.

Method Summary
`IMethodInfo` | `getConstructor()` Returns the constructor definition.
`IMemberInfo` | `getMember(java.lang.String name)` Returns the member definition given method name.
`java.util.List` | `getMembers()` Returns the list of member definitions.
`IMethodInfo` | `getMethod(java.lang.String name)` Get the method definition given the method name.
`java.util.List` | `getMethods()` Returns the method definition list.
`boolean` | `isNative()` Returns whether a class object is native.

Methods inherited from interface org.eclipse.birt.report.model.api.metadata.ILocalizableInfo
`getDisplayName, getDisplayNameKey, getName, getToolTip, getToolTipKey`

Method Detail

### getMethods

    java.util.List getMethods()

  Returns the method definition list. For methods that have the same name, only return one method.

  Returns:
    a list of method definitions

### getMethod

    IMethodInfo getMethod(java.lang.String name)

  Get the method definition given the method name.

  Parameters:
    `name` - the name of the method to get
  Returns:
    the definition of the method to get

### getMembers

    java.util.List getMembers()

  Returns the list of member definitions.

  Returns:
    the list of member definitions

### getMember

    IMemberInfo getMember(java.lang.String name)

  Returns the member definition given method name.

  Parameters:
    `name` - name of the member to get
  Returns:
    the member definition to get

### getConstructor

    IMethodInfo getConstructor()

  Returns the constructor definition.

  Returns:
    the constructor definition

### isNative

    boolean isNative()

  Returns whether a class object is native.

  Returns:
    `true` if an object of this class is native, otherwise `false`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.